VisioList 1.8

Mark

Administrator
Staff member
Fresh Install Instructions
Download VL-Fresh-Install-1.8.zip from below
http://visiolist.com/docs/installing-visiolist

Upgrade Instructions - Basic
1) Take a backup of your files and database in case something goes wrong
2) Upload and replace all the files from the update bundle ( VL-Upgrade-1.8.zip ) via FTP
3) Run yoursite.com/install/update.php from your browser.

Upgrade Instructions - Manual edits
If you upgrade from a version older 1.6, please check previous version upgrade instructions http://visiolist.com/docs/upgrade-from-previous-vl-version

Upgrade Instructions - Plugins
Run a plugin update check


Changes for 1.8
  • New default skin based on bootstrap 4.
  • Added user unsubscribe from admin email box to admin edit member
  • Updated usercp chart to use current Google API with improved responsive HTML
  • Added fix for include external PHP file into pages
  • Added fix for moved join_date field when generating all screenshots
  • Added admin redirect after approving last of new members
  • Added language tag for $LNG['vote'] = 'Vote'; and $LNG['a_vote'] = 'Vote';
  • Updated plugins version check to work with new resource manager
  • Added change admin password function to settings tab
  • Updated search engine referrer detection
  • New options in admin settings -> security. Added recaptcha to admin login, reset password, user control panel login, gateway and join form.
  • New gateway page template to use form submit for votes. This allows for new options like form capture on the way in, as well as recaptcha.
  • user_cp_login, lost_pw_form and gateway templates all will need {$join_recaptcha} tag added above the submit button if you want to use new recaptcha functions.
  • added DB indexes to improve performance: sessions and ip_log
  • installer now checks for https protocol and pre-populates list_url value.
  • Fixed bug involving join date DB change on admin approve new member.
 

Attachments

Last edited:

Mark

Administrator
Staff member
You should be good to go, take a backup and run the updater. the instruction from older versions are to make sure any Custom themes get the new template tags added. If you plan on using the new default theme, you won’t have to worry about that.
 

Mark

Administrator
Staff member
Fantastic, just bought a new license to launch a new project :)
Excellent! please ensure your installation has this empty folder present: /images/extra/

Seems some of the zips I posted were missing this which created an error when viewing the link code from the user control panel.

best of luck with your new project
 

Morus

www.votezone.eu , www.privateserversranking.com
I've got issue with adding a member to the fresh installed list.
An error was found in your submission. Please correct this error below.
It is telling me error and is asking to correct it but not actually not showing what error it is in join form. Tried in chrome and edge also with and without captcha/recaptcha. No success

1593287853722.png

1593285022027.png

But it is adding the member to the database as I can see it in admin panel

1593285159326.png
 
Last edited:

Morus

www.votezone.eu , www.privateserversranking.com
Found the answer in the other topic
 

Mark

Administrator
Staff member
Looks like the installer bundle is missing an empty folder

please login via FTP and create /images/extra/
 

toplistenportal

Member
License Active
Hello Mark and Basti.

Short question about version 1.8.

My hoster will upgrade MySQL to 8.0 at the end of the month.

Will there be problems with the version 1.8 database structure or are there no problems to be expected?

Thanks and best regards

Andreas
 

Mark

Administrator
Staff member
Hello Mark and Basti.

Short question about version 1.8.

My hoster will upgrade MySQL to 8.0 at the end of the month.

Will there be problems with the version 1.8 database structure or are there no problems to be expected?

Thanks and best regards

Andreas
MySQL 8 should be fine, but you should update to 1.9.
 

toplistenportal

Member
License Active
Thanks Mark.

I'll try that with the 1.9 update later.

Unfortunately I made the mistake at the beginning and did not work in the child and now have to see how I can do it best.
 

Basti

Administrator
Staff member
One thing i can suggest you if you switch to mysql 8, edit the mysql config on the server ( or have your host do it )
MySQL implements detection of functional dependence. If the ONLY_FULL_GROUP_BY SQL mode is enabled (which it is by default), MySQL rejects queries for which the select list, HAVING condition, or ORDER BY list refer to nonaggregated columns that are neither named in the GROUP BY clause nor are functionally dependent on them.
So, although vl by default not makes use of such group by's that im aware of at the moment, it might in the future, or some external plugins use it. so its best to remove ONLY_FULL_GROUP_BY from the sql-mode config
 
Top